document.addEventListener('DOMContentLoaded', function() {
  // Add subtle paper texture interaction
  document.body.addEventListener('mousemove', function(e) {
    const x = e.clientX / window.innerWidth;
    const y = e.clientY / window.innerHeight;
    
    document.body.style.backgroundPosition = 
      `${x * 20}px ${y * 20}px`;
  });

  // Apply letterpress effect to all h2 elements
  const headings = document.querySelectorAll('h2');
  headings.forEach(heading => {
    heading.classList.add('letterpress');
  });

  // Smart quotes and typographic enhancements
  document.querySelectorAll('p, li, blockquote').forEach(el => {
    el.innerHTML = el.innerHTML
      .replace(/"([^"]*)"/g, '“$1”')
      .replace(/'([^']*)'/g, '‘$1’')
      .replace(/--/g, '–')
      .replace(/\.\.\./g, '…');
  });
});